/**
 *
 * @author Lubos Pavlicek, 31. října 2011
 */
public class HraMaketa2 implements IHra {

    private Mince [] poleMinci;
    
    public HraMaketa2() {
        poleMinci = new Mince[20];
        poleMinci[2] = new Mince("stříbrná", "coin.png");
        poleMinci[3] = new Mince("stříbrná", "coin.png");
        poleMinci[4] = new Mince("zlatá", "coin_gold.png");
        poleMinci[9] = new Mince("stříbrná", "coin.png");
        poleMinci[12] = new Mince("stříbrná", "coin.png");
    }
    
    @Override
    public Mince[] getPoleMinci() {
        return poleMinci;
    }

    @Override
    public boolean konecHry() {
        return false;
    }

    @Override
    public String zaverecnyText() {
        return "Vyhrál počítač ....";
    }

    @Override
    public boolean tahHrace(Tah tah) {
        System.out.println("hráč táhl z pozice "+tah.getZPozice()
                + " na pozici "+tah.getNaPozici());
        return true;
    }

    @Override
    public Tah tahPocitace() {
        Tah tah = new Tah(12, 16);
        poleMinci[16]=poleMinci[12];
        poleMinci[12]=null;
        System.out.println("počítač táhne z pozice "+tah.getZPozice()
                + " na pozici "+tah.getNaPozici());
        return tah;
    }
    
    @Override
    public String getNazev() {
        return "maketa2";
    }
    
    @Override
    public String getOHre() {
        return    "Maketa\n"
                + "toto je pouze zkušební implementace pravidel\n"
                + "pro testování grafiky. Nelze hrát, neboť většina\n"
                + "metod nic nedělá. Pouze se vypisují kontrolní\n"
                + "texty na konzoli";
    }

}
