import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import static org.junit.Assert.*;

/*******************************************************************************
 * Testovací třída MinceTest slouží ke komplexnímu otestování třídy ... 
 *
 * @author    Luboš Pavlíček
 * @version   5. listopadu 2012
 */
public class MinceTest {
    
    @Test
    public void testVytvoreni() {
        Mince stribrna = new Mince("stříbrná", "coin.png");
        Mince zlata = new Mince("zlatá", "coin_gold.png");
        assertEquals("stříbrná", stribrna.getNazev());
        assertEquals("zlatá", zlata.getNazev());
    }
    
    @Test (expected = IllegalArgumentException.class)
    public void testMinceBezObrazku() {
        Mince medena = new Mince("měděná", "coin_copper.png");   // NEEXISTUJE, VZNIKNE VYJIMKA
    }

}
