
/**
 * Pomocná třída, která popisuje jeden tah - z jaké pozice se má přesunout
 * mince na jakou pozici.
 *
 * @author Lubos Pavlicek, 5. listopadu 2012
 */
public class Tah {
    private int zPozice;
    private int naPozici;

    /**
     * Vytvoření instance tahu.
     *
     * @param zPozice  z jaké pozice se má mince přesouvat
     * @param naPozici na jakou pozici se má mince přesouvat
     */
    public Tah(int zPozice, int naPozici) {
        this.zPozice = zPozice;
        this.naPozici = naPozici;
    }

    /**
     * vrácí pozici, ze které se mince přesouvá,
     * 
     * @return pozice, ze které se mince přesouvá
     */
    public int getZPozice() {
        return zPozice;
    }

    /**
     * vrací pozici, na kterou se mince přesouvá
     *
     * @return   pozice, na kterou se mince přesouvá
     */
    public int getNaPozici() {
        return naPozici;
    }

}
